#include <algorithm>
#include <cassert> 
#include <cstdio>
#include <cstring> 
#include <iomanip>
#include <iostream>
using namespace std; 

#define get_int(n) scanf("%d",&n)

#define MAXT 100000
#define MAXN 100000

int t; 
int n; 

int main () {
	// dp 
	// probability of carry over at position x 
	// = probability of carry over at position x-1 * 0.55 + 
	//   probability of no carry over at position x-1 * 0.45
	// exp number of carry overs = sum them up 
	// 
	// math 
	// 0.45 + 0.495 + 0.4995 + 0.49995 ... 
	// = 0.5 * n - ( 0.0555 ... n fives ) 

	get_int(t); 
	assert(1 <= t && t <= MAXT); 
	for (int i = 0; i < t; i++) {
		get_int(n); 
		assert(1 <= n && n <= MAXN); 

		double answer = 0.5 * double(n);
		double subtract = 0.05; 
		for (int j = 0; j < min(n, 10); j++) {
			answer -= subtract;
			subtract /= 10.0; 
		}
		cout << setprecision(14) << answer << endl; 
	}

	return 0; 
}
